import request from '@/utils/request'
import { param } from 'jquery'

// 分页获取线路列表
export function getGeneratrixWirePageList(data) {
    return request({
        url: '/device-boot/pms/generatrixWire/getGeneratrixWirePageList',
        method: 'post',
        data
    })
}
// 新增线路
export function addGeneratrixWire(data) {
    return request({
        url: '/device-boot/pms/generatrixWire/addGeneratrixWire',
        method: 'post',
        data
    })
}
// 修改线路
export function updateGeneratrixWire(data) {
    return request({
        url: '/device-boot/pms/generatrixWire/updateGeneratrixWire',
        method: 'post',
        data
    })
}
// 删除线路
export function delGeneratrixWire(data) {
    return request({
        url: '/device-boot/pms/generatrixWire/delGeneratrixWire',
        method: 'Delete',
        data
    })
}
// 获取电站下拉框使用
export function getstatationStatList(data) {
    return request({
        url: '/device-boot/pms/statationStat/getstatationStatList',
        method: 'post',
        data
    })
}
// 关联中台电站
export function getMidBusBar(data) {
    return request({
        url: '/device-boot/pms/generatrixWire/getMidBusBar',
        method: 'post',
        params:data
    })
}
